package model

import (
	"time"
)

type TaCustomerCourse struct {
	CustomerCourseId string    `xorm:"not null pk VARCHAR(64)"`
	CourseId         string    `xorm:"VARCHAR(64)"`
	CustomerId       string    `xorm:"VARCHAR(64)"`
	OrgId            string    `xorm:"VARCHAR(64)"`
	CaseId           string    `xorm:"VARCHAR(64)"`
	CourseName       string    `xorm:"VARCHAR(50)"`
	LocationId       string    `xorm:"VARCHAR(64)"`
	LocationName     string    `xorm:"VARCHAR(64)"`
	Price            float32   `xorm:"FLOAT(8,2)"`
	CourseNum        int       `xorm:"INT(11)"`
	JoinNum          int       `xorm:"INT(11)"`
	CreateDate       time.Time `xorm:"DATETIME"`
	Address          string    `xorm:"VARCHAR(200)"`
	CourseDate       string    `xorm:"VARCHAR(200)"`
	Remark           string    `xorm:"TEXT"`
}
