package course

import (
	"spaceofcheng/services/models/course"
	"spaceofcheng/services/utils"
)

// CourseServ 系统处理
type CourseServ struct {
	ctx *utils.Context
	dao *course.CourseDAO
}

// NewCourseServ 初始化
func NewCourseServ(ctx *utils.Context) *CourseServ {
	return &CourseServ{
		ctx: ctx,
		dao: course.NewCourseDAO(ctx),
	}
}
