package utils

import (
	"github.com/zjxpcyc/wechat/wx"
)

var wxCli *wx.Client

// InitWeChatClient 初始化
func InitWeChatClient(cert map[string]string) {
	wxCli = wx.NewClient(cert)
	wx.SetLogInst(defaultLogger)
}

// GetWxUserInfo 微信获取用户信息
func GetWxUserInfo(code string) (map[string]interface{}, error) {
	return wxCli.GetUserInfo(code)
}

// WechatSignature 启用 Wechat 接口
func WechatSignature(timestamp, nonce string) string {
	return wxCli.Signature(timestamp, nonce)
}
